<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tool="http://schemas.android.com/tools"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	tool:context="xyz.apiote.bimba.czwek.settings.feeds.FeedChooserActivity">

	<androidx.constraintlayout.widget.ConstraintLayout
		android:id="@+id/feeds_overlay"
		android:layout_width="match_parent"
		android:layout_height="match_parent">

		<com.google.android.material.progressindicator.CircularProgressIndicator
			android:id="@+id/progress"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:indeterminate="true"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent" />

		<ImageView
			android:id="@+id/error_image"
			android:layout_width="92dp"
			android:layout_height="92dp"
			android:visibility="gone"
			app:layout_constraintBottom_toBottomOf="parent"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toTopOf="parent"
			tool:ignore="ContentDescription"
			tool:src="@drawable/error_net" />

		<com.google.android.material.textview.MaterialTextView
			android:id="@+id/error_text"
			android:layout_width="0dp"
			android:layout_height="wrap_content"
			android:layout_marginStart="16dp"
			android:layout_marginTop="8dp"
			android:layout_marginEnd="16dp"
			android:textAlignment="center"
			android:textAppearance="@style/TextAppearance.Material3.HeadlineSmall"
			android:visibility="gone"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/error_image"
			tool:text="No connection" />
	</androidx.constraintlayout.widget.ConstraintLayout>

	<androidx.recyclerview.widget.RecyclerView
		android:id="@+id/results_recycler"
		android:layout_width="match_parent"
		android:layout_height="0dp"
		android:layout_marginStart="8dp"
		android:layout_marginTop="8dp"
		android:layout_marginEnd="8dp"
		android:layout_marginBottom="8dp"
		android:visibility="gone"
		app:layout_behavior="@string/appbar_scrolling_view_behavior"
		app:layout_constraintBottom_toTopOf="@+id/button"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent" />

	<Button
		android:id="@+id/button"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginEnd="16dp"
		android:layout_marginBottom="16dp"
		android:text="@string/save"
		android:visibility="gone"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toEndOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>